# TIFFClose

## Synopsis

    #include <tiffio.h>

void TIFFClose(TIFF *tif)

void TIFFCleanup(TIFF *tif)

## Description

`TIFFClose()` closes a file that was previously opened with `TIFFOpen()`. Any buffered data are flushed to the file, including the contents of the current directory (if modified); and all resources are reclaimed. `TIFFClose()` calls `TIFFCleanup()` and then the associated function to close the file handle.

`TIFFCleanup()` is an auxiliary function to free the TIFF structure. The given structure will be completely freed, so you should save opened file handle and pointer to the close procedure in external variables before calling `TIFFCleanup()`, if you will need these ones to close the file.

## Diagnostics

All error messages are directed to the `TIFFErrorExtR()` routine. Likewise, warning messages are directed to the `TIFFWarningExtR()` routine.

## See also

libtiff (3tiff), TIFFOpen (3tiff), TIFFError (3tiff)